View Issue Details

IDProjectCategoryView StatusLast Update
0033697FPCDocumentationpublic2018-06-28 14:25
ReporterKai BurghardtAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.4Product Build3.0.4+dfsg-11 [2017/12/30] 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033697: Reference guide: § “Operator overloading” doesn't mention possibility of overloading logical operator
DescriptionThe reference guide does not mention the possibility of overloading logical operators, though it is possible.

I'd expect in the syntax diagram in § 15.2 “Operator declarations” https://www.freepascal.org/docs-html/ref/refse100.html that “logical operator deefinition” appears, too.
Additional InformationIn consequence a section 15.7 “Logical operators” has to (or should) be created as well.
Tagsdocumentation, operator overloading
Fixed in Revision1491
FPCOldBugId
FPCTarget
Attached Files

Activities

Thaddy de Koning

2018-05-06 11:36

reporter   ~0108160

Both unary and binary logical operators can be overloaded. That should be separate.

Kai Burghardt

2018-05-06 12:38

reporter   ~0108162

Uh-huh (what Thaddy wrote).

I've also noticed, the enumerator operator is not mentioned in the section “operator declaration” either, but only in § 13.2.5 “The For..in..do statement” https://www.freepascal.org/docs-html/ref/refsu59.html (and § 9.2 “Extended record enumerators” https://www.freepascal.org/docs-html/ref/refse59.html).

delfion

2018-05-06 20:06

reporter   ~0108169

Operators as, is, div, mod, shl, shr, inc and dec can be overloaded too (htypechk.pas).

Michael Van Canneyt

2018-06-28 14:25

administrator   ~0109113

Fixed, thanks for reporting this!

Issue History

Date Modified Username Field Change
2018-05-05 20:21 Kai Burghardt New Issue
2018-05-05 20:21 Kai Burghardt Status new => assigned
2018-05-05 20:21 Kai Burghardt Assigned To => Michael Van Canneyt
2018-05-06 11:36 Thaddy de Koning Note Added: 0108160
2018-05-06 12:38 Kai Burghardt Note Added: 0108162
2018-05-06 20:06 delfion Note Added: 0108169
2018-05-16 13:11 Kai Burghardt Tag Attached: documentation
2018-05-16 13:11 Kai Burghardt Tag Attached: operator overloading
2018-06-28 14:25 Michael Van Canneyt Fixed in Revision => 1491
2018-06-28 14:25 Michael Van Canneyt Note Added: 0109113
2018-06-28 14:25 Michael Van Canneyt Status assigned => resolved
2018-06-28 14:25 Michael Van Canneyt Fixed in Version => 3.1.1
2018-06-28 14:25 Michael Van Canneyt Resolution open => fixed
2018-06-28 14:25 Michael Van Canneyt Target Version => 3.2.0